# Generated from colored2-3.1.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name colored2

Name: rubygem-%{gem_name}
Version: 3.1.2
Release: 1%{?dist}
Summary: Add even more color to your life
License: MIT
URL: http://github.com/kigster/colored2
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel >= 1.3.6
BuildRequires: ruby >= 2.0.0
# BuildRequires: rubygem(rspec) >= 3.4
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(codeclimate-test-reporter)
BuildArch: noarch

%description
This is a heavily modified fork of http://github.com/defunkt/colored gem, with
many
sensible pull requests combined. Since the authors of the original gem no
longer support it,
this might, perhaps, be considered a good alternative.
Simple gem that adds various color methods to String class, and can be used as
follows:
require 'colored2'
puts 'this is red'.red
puts 'this is red with a yellow background'.red.on.yellow
puts 'this is red with and italic'.red.italic
puts 'this is green bold'.green.bold << ' and regular'.green
puts 'this is really bold blue on white but
reversed'.bold.blue.on.white.reversed
puts 'this is regular, but '.red! << 'this is red '.yellow! << ' and
yellow.'.no_color!
puts ('this is regular, but '.red! do
'this is red '.yellow! do
' and yellow.'.no_color!
end
end).
.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/spec

%changelog
* Mon Sep 13 2021 mockbuilder - 3.1.2-1
- Initial package
